Bug 743242 - gawk + byacc = YACC Stack Overflow regression
gawk + byacc = YACC Stack Overflow regression
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gawk (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Vojtech Vitek
BaseOS QE - Apps
:
Depends On: 743343
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 06:50 EDT by Konrad J Hambrick
Modified: 2015-03-04 18:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 743343 (view as bug list)
Environment:
Last Closed: 2012-03-13 09:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
contains two files: ProcessParms.awk and a parameter file (10.10 KB, application/octet-stream)
2011-10-04 06:50 EDT, Konrad J Hambrick
no flags Details

  None (edit)
Description Konrad J Hambrick 2011-10-04 06:50:59 EDT
Created attachment 526225 [details]
contains two files:  ProcessParms.awk and a parameter file

Description of problem:

Complex Scripts fail with YACC Stack Overflow.  These same scripts have been working on RHEL and as far back as RH 4.2.  Works on RHEL 4 and 5 and it works on gawk 3.1.7 compiled from source with GNU Bison instead of byacc

Version-Release number of selected component (if applicable):

gawk 3.1.7 ( gawk-3.1.7-6.el6.i686 )


How reproducible:  every time


Steps to Reproduce:
1. download the attachment
2. cd  into a temp working directory
3. tar -zxvf gawk-yacc-stack-overflow-B11004.tgz
4. /bin/gawk -f ProcessParms.awk ppdf-rsync-proc-iplinput.26923
  
Actual results:

   gawk: ProcessParms.awk:202: YarCmpTab = $2 ""
   gawk: ProcessParms.awk:202: ^ yacc stack overflow


Expected results:

   silent return from ProcessParms.awk

Additional info:

tar -ztvf gawk-yacc-stack-overflow-B11004.tgz

-rw-r--r-- ppdf0/clients 42522 2011-01-02 08:36 ProcessParms.awk
-rw-rw-r-- ppdf0/clients  5303 2011-10-04 04:29 ppdf-rsync-proc-iplinput.26923
Comment 2 RHEL Product and Program Management 2011-10-04 07:09:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Vojtech Vitek 2011-10-04 20:38:38 EDT
The bug is in byacc component (byacc-1.9.20070509-6.1.el6 build), so I've opened bug 743343. After it's resolution I can fix gawk by rebuilding the package..
Comment 13 errata-xmlrpc 2012-03-13 09:58:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0385.html

Note You need to log in before you can comment on or make changes to this bug.